package com.pixelized.desktop.lwa.ui.navigation.screen.destination.gamemaster

import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavHostController
import androidx.navigation.compose.composable
import com.pixelized.desktop.lwa.ui.screen.admin.item.list.GMItemPage

object GMItemDestination {
    private const val ROUTE = "GameMasterItem"

    fun baseRoute() = ROUTE
    fun navigationRoute() = ROUTE
}

fun NavGraphBuilder.composableGameMasterObjectPage() {
    composable(
        route = GMItemDestination.baseRoute(),
    ) {
        GMItemPage()
    }
}

fun NavHostController.navigateToGameMasterObjectPage() {
    val route = GMItemDestination.navigationRoute()
    navigate(route = route)
}